%global short_name version-number

Name:           jenkins-version-number
Version:        1.1
Release:        %mkrel 8
Summary:        Version number manipulation library for Java
Group:          Development/Java

# Main class has been rewritten by Apache guys, rest of the project is under MIT
# ASL 2.0: VersionNumber.java
# MIT: VersionNumberTest.java
License:        ASL 2.0 and MIT
URL:            https://github.com/jenkinsci/lib-version-number
Source0:        https://github.com/jenkinsci/lib-%{short_name}/archive/%{short_name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
# License text copied from http://jenkins-ci.org/mit-license (link specified in pom file)
Source2:        LICENSE-MIT


BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
This package contains small Java library which can be used
for manipulating version numbers in various Jenkins modules.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{short_name}-%{short_name}-%{version}

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

cp %{SOURCE1} LICENSE-ASL
cp %{SOURCE2} .

%build
%mvn_build -- -Dproject.build.sourceEncoding=ISO-8859-1

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-ASL LICENSE-MIT
%files javadoc -f .mfiles-javadoc
%doc LICENSE-ASL LICENSE-MIT



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.1-8.mga6
+ Revision: 989034
- Rebuild against fixed jenkins
- Second rebuild of the java stack

* Wed Feb 17 2016 umeabot <umeabot> 1.1-6.mga6
+ Revision: 964080
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 746585
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 10 2014 dmorgan <dmorgan> 1.1-3.mga5
+ Revision: 621685
- imported package jenkins-version-number


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Michal Srb <msrb@redhat.com> - 1.1-2
- Fix licensing
- Fix directory ownership

* Mon May 13 2013 Michal Srb <msrb@redhat.com> - 1.1-1
- Initial package

